Bug 835368 - Instruction needs change: Install RHUA and CDS on separate machines
Instruction needs change: Install RHUA and CDS on separate machines
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julie
Martin Kočí
Depends On:
  Show dependency treegraph
Reported: 2012-06-26 01:06 EDT by Julie
Modified: 2016-02-18 01:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-27 21:25:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Julie 2012-06-26 01:06:54 EDT
Description of problem:
According to the feedback from James Slagle (quoted below) need to change instruction about running install_RHUA.sh and install_tools.sh on one machine, and install_CDS.sh on another, and also update screen shots. 

"James:I would run install_RHUA.sh first, then install_tools.sh.  Do not run
install_CDS.sh on the same machine as the RHUA.  The RHUA and CDS can not be
the same machine."

I'm assuming we might need to change the screen shots if we're advising users to install RHUA and CDS on different machines? Please correct me if I'm wrong.

You're right, looks like the screenshot is out of date there.  It actually has
to do with some of the client tools reorganization we did a while ago and not
the CDS not being installed on the RHUA.
As part of 2.1, we're actually going to update these 2 files
(/etc/pulp/pulp.conf, /etc/pulp/admin/admin.conf) automatically.  So, we'll be
able to remove steps 3 and 4 from section 2.3 completely."
Comment 2 Julie 2012-07-09 02:45:56 EDT
In 2.3, procedure 2.2 changed to 4 steps to make it obvious RHUA and CDS are to be installed on separate machines. <Note> in comment 1 is removed.
Comment 3 Julie 2012-07-19 19:15:22 EDT
Section 2.3 now includes two procedures:
Procedure 2.2. Installing the Red Hat Update Infrastructure packages on the Red Hat Update Appliance Server
Procedure 2.3. Installing the Red Hat Update Infrastructure packages on the Content Delivery Server (CDS)
Comment 5 Lana Brindley 2012-08-27 21:25:03 EDT
Documentation is now publicly available:


Note You need to log in before you can comment on or make changes to this bug.